<script setup>
  import { ref, computed } from 'vue';
  import FactureLigne from '../entites/FactureLigne.vue';
  import GestionListe from '@/components/listes/GestionListe.vue';
  import BoutonAjouter from '../boutons/BoutonAjouter.vue';
    
  const props = defineProps(['factures']);

  const page = ref(0)
  const pas = 6;
  
  const factures = computed(() => {
    if (page.value *pas === props.factures.length) page.value = page.value - 1
    return props.factures.slice(page.value * pas, (page.value + 1) * pas)
  })

  const pages = computed(() => {
      return Math.ceil(props.factures.length / pas)
  })
</script>

<template>
    <div class="factures">
        <div v-if="props.factures.length">
            <div class="conteneur">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>Emetteur</th>
                            <th>Date</th>
                            <th>Prix</th>
                            <th>Voir</th>
                            <th>Modifier</th>
                            <th>Supprimer</th>
                        </tr>
                    </thead>
                    <tbody>
                        <FactureLigne :facture="facture" v-for="facture in factures" :key="facture.idFacture" @supprimer="$emit('supprimer', $event)"/>
                    </tbody>
                </table>
            </div>
            <GestionListe :taille="pages" @index="(i) => page = i" :page="page"/>
        </div>
        <div v-else>
            <p>Pas de facture</p>
        </div>
        <BoutonAjouter class="bouton" href="/factures"/>
    </div>
</template>

<style scoped>
    .factures {
        text-align: center;
    }
    .conteneur {
        overflow-x: auto;
        width: 100%;
        margin-bottom: 10px;
    }
    .bouton {
        margin-top: 10px;
    }
</style>